import type { JsonSchema } from "@jsonforms/core";
import type { UISchemaElement } from "@jsonforms/core/src/models/uischema";
import type { JsonFormsInterface } from "../../models";
export type schemaKey = 'description';
export declare const schemaKeys: "description"[];
export type uischemaKey = 'label' | 'i18n';
export declare const uischemaKeys: uischemaKey[];
export type uischemaOptionKey = 'showUnfocusedDescription';
export declare const uischemaOptionKeys: "showUnfocusedDescription"[];
export declare const prepareOptionData: (schema: JsonSchema, uischema: UISchemaElement | any) => Record<string, any>;
export declare const setOptionData: (schema: JsonSchema, uischema: UISchemaElement | any, data: Record<string, any>) => void;
export declare const schema: {
    type: string;
    properties: {
        labelAndI18n: {
            type: string;
            properties: {
                _type: {
                    type: string;
                };
                label: {
                    type: string;
                };
                description: {
                    type: string;
                };
                i18n: {
                    type: string;
                    title: string;
                    description: string;
                };
                options: {
                    type: string;
                    properties: {
                        showUnfocusedDescription: {
                            type: string;
                        };
                    };
                };
            };
        };
    };
};
export declare const uischema: {
    type: string;
    elements: ({
        type: string;
        elements: {
            scope: string;
            type: string;
        }[];
        scope?: undefined;
        rule?: undefined;
    } | {
        scope: string;
        type: string;
        elements?: undefined;
        rule?: undefined;
    } | {
        scope: string;
        type: string;
        rule: {
            effect: string;
            condition: {
                scope: string;
                schema: {
                    const: string;
                };
            };
        };
        elements?: undefined;
    } | {
        scope: string;
        type: string;
        rule: {
            effect: string;
            condition: {
                scope?: undefined;
                schema?: undefined;
            };
        };
        elements?: undefined;
    })[];
};
export declare const jsonForms: JsonFormsInterface;
